Subject: Bug 348

From: Peter Ploß <[email-masked]>
Date: Wed, 4 Dec 2013 15:52:08 -0800

Hello everybody,

I am running the x2goserver (x2goserver/precise 4.0.1.9-0~751~ubuntu12.04.1) on a Ubuntu 12.04 LTS server and try to connect from a Mac OS X Mavericks with x2goclient 4.0.1.1 and am facing the keyboard issues since I updated the server from 4.0.1.8~741.

Since then I tried many things to come back to a functioning keyboard layout, like changing the keyboard layout options on the x2go client preferences, changing settings of XQuartz 2.7.5 — all without success.

Now I even tried manually applying the patch [1], though that also didn’t help. Since it seems that this is the only change between these two versions linked to that issue, I am unsure how to proceed. 

Hopefully we are able to figure out a solution, since this is unfortunately a showstopper for Mac users.

Kind regards and thank you everybody for your help!
Peter

[1] http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=e6f2ea27d78d8db29bf7119979cc3913e42b2e6e